﻿using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TestRibbon
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        public int currentTabIndex { get; set; }
        private void Ribbon_BackStageClosed(object sender, EventArgs e)
        {
            HighlightCurrentTab(currentTabIndex);
        }

        private void Ribbon_RibbonStateChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
           
            if (Ribbon.RibbonState == Syncfusion.Windows.Tools.RibbonState.Hide || Ribbon.RibbonState == Syncfusion.Windows.Tools.RibbonState.Adorner)
            {
                HighlightCurrentTab(currentTabIndex);
            }
        }

        private void Ribbon_SelectedIndexChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            currentTabIndex = Convert.ToInt32(e.NewValue);
            if (Ribbon.RibbonState == Syncfusion.Windows.Tools.RibbonState.Hide || Ribbon.RibbonState == Syncfusion.Windows.Tools.RibbonState.Adorner)
            {
                HighlightCurrentTab(currentTabIndex);
            }
        }

        private void HighlightCurrentTab(int index)
        {
            (Ribbon.Items[index] as RibbonTab).IsChecked = true;
        }

        private void RibbonWindow_Loaded(object sender, RoutedEventArgs e)
        {
            SetWindowTitleBarTheme();
        }

        private void SetWindowTitleBarTheme()
        {
            //var vm = DataContext as MyViewModel;
            Syncfusion.Windows.Tools.Controls.TitleBar title = WindowStart.TitleBar;
            BrushConverter bc = new BrushConverter();
            //title.Background = (System.Windows.Media.Brush)bc.ConvertFrom(vm.TitleBarBackgroundColor);
            //title.Foreground = (System.Windows.Media.Brush)bc.ConvertFrom(vm.TitleBarForegroundColor);
            title.Background = (System.Windows.Media.Brush)bc.ConvertFrom("#FF000000");
            title.Foreground = (System.Windows.Media.Brush)bc.ConvertFrom("#FFFFFFFF");
        }
    }
}
